// https://nuxt.com/docs/api/configuration/nuxt-config
// eslint-disable-next-line no-undef
export default defineNuxtConfig({
	devtools: { enabled: true },
	modules: ['nuxt-quasar-ui', '@pinia/nuxt', '@nuxt/eslint'],
	quasar: {
		config: {
			dark: true,
		},
		plugins: [
			'Loading'
		],
	},
	ssr: false
});